CVC4::DatatypeUnresolvedType Class Reference

An unresolved type (used in calls to DatatypeConstructor::addArg()) to allow a Datatype to refer to itself or to other mutually-recursive Datatypes. More...

`#include <datatype.h>`

## Public Member Functions

| DatatypeUnresolvedType (std::string name)
std::string | getName () const throw ()

## Detailed Description

An unresolved type (used in calls to DatatypeConstructor::addArg()) to allow a Datatype to refer to itself or to other mutually-recursive Datatypes.

Unresolved-type fields of Datatypes will be properly typed when a Type is created for the Datatype by the ExprManager (which calls Datatype::resolve()).

Definition at line 109 of file datatype.h.

## Constructor & Destructor Documentation

## DatatypeUnresolvedType()

CVC4::DatatypeUnresolvedType::DatatypeUnresolvedType | ( | std::string | name | ) |

inline

Definition at line 662 of file datatype.h.

## Member Function Documentation

## getName()

std::string CVC4::DatatypeUnresolvedType::getName | ( |  | ) | const
throw | ( | ) |  |  |

inline

Definition at line 666 of file datatype.h.

The documentation for this class was generated from the following file:

- src/util/datatype.h